#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-
"""
Simply Draw for Python.
See arminstraub.de for more information.

Copyright (C) 2005 by Armin Straub <linux@arminstraub.de>
"""

"""
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
"""

import version
__version__ = version.version


# Import the features from PyX so that they can be used in
# abbreviated forms.
from pyx import attr, unit, box
from pyx.canvas import canvas, clip
from pyx.path import line, curve, rect, circle, path, moveto, lineto, \
    rmoveto, rlineto, curveto, rcurveto, closepath, \
    arc, arcn, arct
from pyx.color import gray, grey, rgb, hsb, cmyk
from pyx.deco import stroked, filled, barrow, earrow
from pyx.pattern import hatched0, hatched45, hatched90, hatched135, \
        crosshatched0, crosshatched45
from pyx.style import linewidth, linestyle, linejoin
from pyx.text import mathmode, valign, halign, vshift
from pyx.trafo import trafo, mirror, rotate, scale, slant, translate
from pyx.unit import topt

from pyx.graph import graphxy, data, axis, style
from pyx.graph.style import symbol
from pyx.graph.axis import texter, parter, painter, tick
from pyx.graph.axis.painter import ticklength
from pyx.graph.axis.tick import tick

# Add new features. I won't use __all__ here because what is now imported
# should be accessible when using "from simplydraw import *".
# I therefore have to be careful that only parts of simplydraw are to be
# found in our namespace.
from xcanvas import *
from xcolor import *
from xglobals import *
from xgraph import *
from xutils import *
