#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-
"""
Simply Draw for Python.
See arminstraub.de for more information.

Copyright (C) 2005 by Armin Straub <linux@arminstraub.de>
"""

"""
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
"""


# Helper functions

def intersections(path1, path2):
    """Returns the intersections of two paths.
    
    This will return all intersections of the two given paths in
    standard coordinates. Allows e.g.
    ((sx, sy), (tx, ty)) = intersections(circle(0, 0, 1), line(0, -1, 0, 1))"""
    isects, dummy = path1.intersect(path2)
    points = [path1.at(s) for s in isects]
    return points

